
-- CHANGES TO LOCALIZATION SHOULD BE MADE USING http://www.wowace.com/addons/Broker_FindGroup/localization/

local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local L = AceLocale:NewLocale("DungeonHelper", "enUS", true)

if L then
	L["End Message"] = true
	L["Start Message"] = true
	L["Sends a message to the party chat at the beginning of the dungeon."] = true
	L["Sends a message to the party chat at the end of the dungeon."] = true
	L["Clear the box to disable this."] = true
	L["hi"] = true
	L["thanks, bb"] = true
	--L["Delay Invitation Alert"] = true
	--L["Delays the invitation alert by 5 seconds. This only works with WoW in windowed mode."] = true
	
	L["Show Time"] = true 
	L["You need to have a Data Broker Display to see this Plugin."] = true  
	
	L["Play Invitation Sound"] = true
	L["Play the selected Sound when the group is ready."] = true
	L["Select Sound"] = true
	L["Play Bonus Sound"] = true
	L["Warning: Some of the sounds may depend on other addons."] = true
	L["Dungeon Helper: Bonus available!"] = true
	L["Watch"] = true
	L["Report To Chat"] = true
	L["Watch for Call To Arms (Bonus rewards) availability."] = true
	L["Call To Arms"] = true
	
	L["Hour"] = true
	L["Minute"] = true
	L["Second"] = true
	L["Hours"] = true
	L["Minutes"] = true
	L["Seconds"] = true
	L["Icon Size"] = true
	L["Zandalari"] = true
	L["Cata"] = true
	L["Show Timer Bar"] = true
	L["Remaining"] = true
	L["General"] = true
	L["Data Broker"] = true
	L["Play Alert"] = true
	L["Options"] = true
	L["Display Type"] = true

	L["Report Time to Party"] = true
	L["Dungeon completed in"] = true
	L["Completed in"] = true
	L["Hide Minimap Button"] = true

	L["Show Instance Name"] = true
	L["Short Text"] = true
	L["Teleport In/Out"] = true
	L["T"] = true
	L["H"] = true
	L["D"] = true
	L["Waiting for:"] = true
	L["My estimated wait time:"] = true
	L["Wait time as:"] = true
	L["Time"] = true
	L["Tank"] = true
	L["Healer"] = true
	L["DPS"] = true
	L["In Party"] = true
	L["Find Group"] = true
	L["Queued for: "] = true
	L["Click to open the dungeon finder."] = true
	L["Ctrl-Click or Middle-Click Teleport."] = true
	L["Right-Click for options."] = true
end

local L = AceLocale:NewLocale("DungeonHelper", "deDE")
if L then 
	-- disable default party messages until localization is set
	L["hi"] = ""
	L["Thanks, bb"] = ""
	L["Assembling group..."] = "Gruppe zusammenstellen..."
L["Call To Arms"] = "Ruf zu den Waffen" -- Needs review
L["Cata"] = "Cata" -- Needs review
L["Clear the box to disable this."] = "Text aus dem Feld löschen um keinen Spruch zu senden." -- Needs review
L["Click to open the dungeon finder."] = "Klicken, um den Dungeonfinder zu öffnen."
L["Completed in"] = "Abgeschlossen in"
L["Ctrl-Click or Middle-Click Teleport."] = "Strg-Klick oder Mittelklick für Teleport"
L["D"] = "DD"
L["DPS"] = "DD"
L["Data Broker"] = "Data Broker" -- Needs review
L["Display Type"] = "Anzeige Art"
L["Dungeon Helper: Bonus available!"] = "Dungeon Helper: Bonus verfügbar!" -- Needs review
L["Dungeon completed in"] = "Dungeon abgeschlossen in"
L["End Message"] = "Text beim verlassen" -- Needs review
L["Find Group"] = "Gruppe finden"
L["General"] = "Allgemein" -- Needs review
L["H"] = "H"
L["Healer"] = "Heiler"
L["Hide Minimap Button"] = "Minimap-Button verstecken"
L["Hour"] = "Stunde" -- Needs review
L["Hours"] = "Stunden" -- Needs review
L["Icon Size"] = "Icon Größe" -- Needs review
L["In Party"] = "In Gruppe"
L["Minute"] = "Minute" -- Needs review
L["Minutes"] = "Minuten" -- Needs review
L["My estimated wait time:"] = "Meine geschätzte Wartezeit: "
L["Options"] = "Optionen"
L["Play Alert"] = "Alarm abspielen"
L["Play Bonus Sound"] = "Bonus Sound" -- Needs review
L["Play Invitation Sound"] = "Sound bei " -- Needs review
L["Play the selected Sound when the group is ready."] = "Ausgewählten Sound bei einer Instanzeinladung abspielen." -- Needs review
L["Queued for: "] = "Angemeldet für: "
L["Remaining"] = "Verbleibend" -- Needs review
L["Report Time to Party"] = "Berichte Zeit an Gruppe"
L["Report To Chat"] = "Chatfenster Benachrichtigung" -- Needs review
L["Right-Click for options."] = "Rechtsklick für Optionen"
L["Second"] = "Secunde" -- Needs review
L["Seconds"] = "Sekunden" -- Needs review
L["Select Sound"] = "Sound auswählen" -- Needs review
L["Sends a message to the party chat at the beginning of the dungeon."] = "Text der beim beginn der Instanz in den Gruppenchat gesendet wird. " -- Needs review
L["Sends a message to the party chat at the end of the dungeon."] = "Text der beim verlassen der Instanz in den Gruppenchat gesendet wird. " -- Needs review
L["Short Text"] = "Kurzform"
L["Show Instance Name"] = "Instanznamen anzeigen"
L["Show Time"] = "Zeit anzeigen" -- Needs review
L["Show Timer Bar"] = "Timer anzeigen" -- Needs review
L["Show Wait Time"] = "Wartezeit anzeigen"
L["Start Message"] = "Begrüßungstext" -- Needs review
L["T"] = "T"
L["Tank"] = "Tank"
L["Teleport In/Out"] = "Rein/Rausporten"
L["Time"] = "Zeit"
L["Wait time as:"] = "Wartezeit als: "
L["Waiting for:"] = "Warte auf: "
L["Warning: Some of the sounds may depend on other addons."] = "Achtung: Sounds können von anderen Addons abhängig sein." -- Needs review
L["Watch"] = "Beobachte" -- Needs review
L["Watch for Call To Arms (Bonus rewards) availability."] = "Beobachte Ruf zu den Waffen (Extra Belohnung) Verfügbarkeit." -- Needs review
L["You need to have a Data Broker Display to see this Plugin."] = "Du benötigst eine DataBroker-Anzeige um dieses Plugin zu sehen." -- Needs review
L["Zandalari"] = "Zandalari" -- Needs review
L["hi"] = "hi" -- Needs review
L["thanks, bb"] = "danke, bb" -- Needs review

	return
end

local L = AceLocale:NewLocale("DungeonHelper", "frFR")
if L then
	-- disable default party messages until localization is set
	L["hi"] = ""
	L["Thanks, bb"] = ""
	L["Assembling group..."] = "Constitution du groupe..."
L["Call To Arms"] = "Appel aux armes" -- Needs review
L["Cata"] = "Cata" -- Needs review
L["Clear the box to disable this."] = "Ne mettez rien pour désactiver ceci." -- Needs review
L["Click to open the dungeon finder."] = "Cliquez pour ouvrir l'outil Donjons."
L["Completed in"] = "Terminé en" -- Needs review
L["Ctrl-Click or Middle-Click Teleport."] = "Ctrl-clic gauche ou clic central pour se téléporter." -- Needs review
L["D"] = "D"
L["DPS"] = "DPS"
L["Data Broker"] = "Data Broker" -- Needs review
L["Display Type"] = "Type d'affichage" -- Needs review
L["Dungeon Helper: Bonus available!"] = "Dungeon Helper : Bonus disponible !" -- Needs review
L["Dungeon completed in"] = "Donjon terminé en" -- Needs review
L["End Message"] = "Message de fin" -- Needs review
L["Find Group"] = "Trouver un groupe"
L["General"] = "Général" -- Needs review
L["H"] = "H"
L["Healer"] = "Soigneur"
L["Hide Minimap Button"] = "Cacher l'icône de la minicarte" -- Needs review
L["Hour"] = "Heure" -- Needs review
L["Hours"] = "Heures" -- Needs review
L["Icon Size"] = "Taille d'icône" -- Needs review
L["In Party"] = "En groupe"
L["Minute"] = "Minute" -- Needs review
L["Minutes"] = "Minutes" -- Needs review
L["My estimated wait time:"] = "Mon temps d'attente estimé :"
L["Options"] = "Options" -- Needs review
L["Play Alert"] = "Jouer une alerte" -- Needs review
L["Play Bonus Sound"] = "Jouer son de bonus" -- Needs review
L["Play Invitation Sound"] = "Jouer son d'invitation" -- Needs review
L["Play the selected Sound when the group is ready."] = "Joue le son sélectionné quand le groupe est prêt." -- Needs review
L["Queued for: "] = "En file pour : "
L["Remaining"] = "Restant" -- Needs review
L["Report Time to Party"] = "Indiquer la durée au groupe" -- Needs review
L["Right-Click for options."] = "Clic droit pour les options." -- Needs review
L["Second"] = "Seconde" -- Needs review
L["Seconds"] = "Secondes" -- Needs review
L["Select Sound"] = "Choix du son" -- Needs review
L["Sends a message to the party chat at the beginning of the dungeon."] = "Envoie un message sur le canal Guilde au début du donjon." -- Needs review
L["Sends a message to the party chat at the end of the dungeon."] = "Envoie un message sur le canal Guilde à la fin du donjon." -- Needs review
L["Short Text"] = "Texte court"
L["Show Instance Name"] = "Aff. nom de l'instance" -- Needs review
L["Show Time"] = "Afficher la durée" -- Needs review
L["Show Timer Bar"] = "Afficher une barre temporelle" -- Needs review
L["Show Wait Time"] = "Aff. tps d'attente" -- Needs review
L["Start Message"] = "Message de début" -- Needs review
L["T"] = "T"
L["Tank"] = "Tank"
L["Teleport In/Out"] = "Se téléporter à l'intérieur/à l'extérieur"
L["Time"] = "Temps"
L["Wait time as:"] = "Temps d'attente en tant que :"
L["Waiting for:"] = "En attente depuis :"
L["Warning: Some of the sounds may depend on other addons."] = "Attention : certains des sons dépendent peut-être d'autres addons." -- Needs review
L["Watch"] = "Surveiller" -- Needs review
L["Watch for Call To Arms (Bonus rewards) availability."] = "Surveille la disponibilité de l'Appel aux armes (récompenses bonus)." -- Needs review
L["You need to have a Data Broker Display to see this Plugin."] = "Vous devez avoir un affichage Data Blocker pour voir ce plugin." -- Needs review
L["Zandalari"] = "Zandalari" -- Needs review
L["hi"] = "salut" -- Needs review
L["thanks, bb"] = "merci, a+" -- Needs review

	return
end

local L = AceLocale:NewLocale("DungeonHelper", "koKR")
if L then
	-- disable default party messages until localization is set
	L["hi"] = ""
	L["Thanks, bb"] = ""
	L["Assembling group..."] = "파티 구성 중..."
L["Call To Arms"] = "긴급 소집"
L["Cata"] = "대격변" -- Needs review
L["Click to open the dungeon finder."] = "클릭 던전 찾기 열기"
L["Completed in"] = "완료: "
L["Ctrl-Click or Middle-Click Teleport."] = "Ctrl 클릭 또는 마우스 가운데 클릭: 포탈"
L["D"] = "딜"
L["DPS"] = "공격 담당"
L["Data Broker"] = "데이터 브로커"
L["Display Type"] = "표시 형식"
L["Dungeon Helper: Bonus available!"] = "Dungeon Helper: 추가 보상 가능!" -- Needs review
L["Dungeon completed in"] = "던전 완료: "
L["Find Group"] = "그룹 찾기"
L["General"] = "일반"
L["H"] = "힐"
L["Healer"] = "치유 담당"
L["Hide Minimap Button"] = "미니맵 버튼 숨김"
L["Hour"] = "시"
L["Hours"] = "시간"
L["Icon Size"] = "아이콘 크기"
L["In Party"] = "파티 중"
L["Minute"] = "분"
L["Minutes"] = "분"
L["My estimated wait time:"] = "내 예상 대기 시간"
L["Options"] = "설정"
L["Play Alert"] = "시간 알림"
L["Play Bonus Sound"] = "추가 보상 알림음 재생" -- Needs review
L["Play Invitation Sound"] = "파티 초대음 재생" -- Needs review
L["Play the selected Sound when the group is ready."] = "파티 준비 시 선택한 소리를 재생." -- Needs review
L["Queued for: "] = "유형:"
L["Remaining"] = "남음" -- Needs review
L["Report Time to Party"] = "파티에 던전 완료 시간 알리기" -- Needs review
L["Report To Chat"] = "대화창에 표시" -- Needs review
L["Right-Click for options."] = "오른쪽 클릭: 설정"
L["Second"] = "초"
L["Seconds"] = "초"
L["Select Sound"] = "알림음 선택"
L["Short Text"] = "짧은 문자"
L["Show Instance Name"] = "던전 이름 보기"
L["Show Time"] = "시간 보기" -- Needs review
L["Show Timer Bar"] = "시간 바 표시" -- Needs review
L["Show Wait Time"] = "대기 시간 보기"
L["T"] = "탱"
L["Tank"] = "방어 담당"
L["Teleport In/Out"] = "던전 안/밖으로 이동"
L["Time"] = "시간"
L["Wait time as:"] = "역할 별 대기 시간:"
L["Waiting for:"] = "대기 시간:"
L["Warning: Some of the sounds may depend on other addons."] = "경고: 몇가지 소리는 다른 애드온의 영향을 받습니다." -- Needs review
L["Watch"] = "알리기:" -- Needs review
L["Watch for Call To Arms (Bonus rewards) availability."] = "긴급 소집(추가 보상)이 가능할 때 알립니다." -- Needs review
L["You need to have a Data Broker Display to see this Plugin."] = "이 플러그인을 사용하려면 데이터 브로커 표시 애드온이 필요합니다." -- Needs review
L["Zandalari"] = "잔달라" -- Needs review

	return
end

local L = AceLocale:NewLocale("DungeonHelper", "zhTW")
if L then
	-- disable default party messages until localization is set
	L["hi"] = ""
	L["Thanks, bb"] = ""
	L["Assembling group..."] = "組成隊伍..."
L["Cata"] = "浩劫與重生"
L["Click to open the dungeon finder."] = "點擊後開啟地城搜尋器。"
L["Completed in"] = "完成於"
L["Ctrl-Click or Middle-Click Teleport."] = "Ctrl+左鍵或中鍵點擊以傳送"
L["D"] = "輸出"
L["DPS"] = "傷害輸出"
L["Data Broker"] = "LDB"
L["Display Type"] = "顯示類型"
L["Dungeon completed in"] = "地城完成於"
L["Find Group"] = "尋找隊伍"
L["General"] = "一般"
L["H"] = "補"
L["Healer"] = "治療者"
L["Hide Minimap Button"] = "隱藏小地圖按鈕"
L["Hour"] = "小時"
L["Hours"] = "小時"
L["Icon Size"] = "圖標大小"
L["In Party"] = "在隊伍中"
L["Minute"] = "分"
L["Minutes"] = "分"
L["My estimated wait time:"] = "預計我的等待時間:"
L["Options"] = "選項"
L["Play Alert"] = "播放警告"
L["Queued for: "] = "排隊等待:"
L["Remaining"] = "剩餘"
L["Report Time to Party"] = "通告時間到隊伍頻道"
L["Right-Click for options."] = "右鍵點擊開啟選項"
L["Second"] = "秒"
L["Seconds"] = "秒"
L["Short Text"] = "簡短的文字"
L["Show Instance Name"] = "顯示地城名稱"
L["Show Timer Bar"] = "顯示時間條列"
L["Show Wait Time"] = "顯示等待時間"
L["T"] = "坦"
L["Tank"] = "坦克"
L["Teleport In/Out"] = "傳送進/出"
L["Time"] = "計時"
L["Wait time as:"] = "等待時間為:"
L["Waiting for:"] = "已等待:"
L["Zandalari"] = "贊達拉"

	return
end

local L = AceLocale:NewLocale("DungeonHelper", "zhCN")
if L then
	-- disable default party messages until localization is set
	L["hi"] = ""
	L["Thanks, bb"] = ""
	L["Assembling group..."] = "组成队伍..."
L["Click to open the dungeon finder."] = "点击后开启地城搜寻器。"
L["Completed in"] = "完成于"
L["D"] = "输出"
L["DPS"] = "伤害输出"
L["Display Type"] = "显示类型"
L["Dungeon completed in"] = "地城完成于"
L["Find Group"] = "寻找队伍"
L["H"] = "补"
L["Healer"] = "治疗者"
L["Hide Minimap Button"] = "隐藏小地图按钮"
L["In Party"] = "在队伍中"
L["My estimated wait time:"] = "预计我的等待时间:"
L["Options"] = "选项"
L["Play Alert"] = "播放警告"
L["Queued for: "] = "排队等待:"
L["Report Time to Party"] = "通告时间到队伍频道"
L["Short Text"] = "简短的文字"
L["Show Instance Name"] = "显示地城名称"
L["Show Wait Time"] = "显示等待时间"
L["T"] = "坦"
L["Tank"] = "坦克"
L["Teleport In/Out"] = "传送进/出"
L["Time"] = "计时"
L["Wait time as:"] = "等待时间为:"
L["Waiting for:"] = "已等待:"

	return
end

local L = AceLocale:NewLocale("DungeonHelper", "ruRU")
if L then
	-- disable default party messages until localization is set
	L["hi"] = ""
	L["Thanks, bb"] = ""
	L["Assembling group..."] = "Формирование группы..."
L["Call To Arms"] = "Призыв к оружию"
L["Cata"] = "Ката"
L["Clear the box to disable this."] = "Очистите чтобы отключить."
L["Click to open the dungeon finder."] = "Нажмите, чтобы открыть поиск подземелий"
L["Completed in"] = "Пройден за"
L["Ctrl-Click or Middle-Click Teleport."] = "Ctrl+клик или клик средней кнопкой для телепорта."
L["D"] = "Б"
L["DPS"] = "УВС"
L["Data Broker"] = "Data Broker"
L["Display Type"] = "Показать тип"
L["Dungeon Helper: Bonus available!"] = "Dungeon Helper: Бонус доступен!"
L["Dungeon completed in"] = "Подъземелье пройдено за"
L["End Message"] = "Сообщение об окончании"
L["Find Group"] = "Поиск Группы"
L["General"] = "Общее"
L["H"] = "Л"
L["Healer"] = "Лекарь"
L["Hide Minimap Button"] = "Скрыть кнопку у миникарты"
L["Hour"] = "Час"
L["Hours"] = "Часов"
L["Icon Size"] = "Размер иконки"
L["In Party"] = "В Группе"
L["Minute"] = "Минута"
L["Minutes"] = "Минут"
L["My estimated wait time:"] = "Моё время ожидание:"
L["Options"] = "Настройки"
L["Play Alert"] = "Проигрывать звук предупреждения"
L["Play Bonus Sound"] = "Проигрывать звук бонуса"
L["Play Invitation Sound"] = "Проигрывать звук приглашения"
L["Play the selected Sound when the group is ready."] = "Проигрывать выбранный звук, когда группа готова."
L["Queued for: "] = "В очереди:"
L["Remaining"] = "Осталось"
L["Report Time to Party"] = "Сказать время группе"
L["Report To Chat"] = "Сказать в чат"
L["Right-Click for options."] = "Правая кнопка мышки для настроек"
L["Second"] = "Секунда"
L["Seconds"] = "Секунд"
L["Select Sound"] = "Выбрать звук"
L["Sends a message to the party chat at the beginning of the dungeon."] = "Отсылает сообщение в групповой чат в начале подземелья."
L["Sends a message to the party chat at the end of the dungeon."] = "Отсылает сообщение в групповой чат в конце подземелья."
L["Short Text"] = "Короткий Текст"
L["Show Instance Name"] = "Показывать Название Подземелья"
L["Show Time"] = "Показать время"
L["Show Timer Bar"] = "Показать полоску таймера"
L["Show Wait Time"] = "Показывать время ожидания"
L["Start Message"] = "Сообщение о начале"
L["T"] = "Т"
L["Tank"] = "Танк"
L["Teleport In/Out"] = "Перенестись в/из"
L["Time"] = "Время"
L["Wait time as:"] = "Время ожидания:"
L["Waiting for:"] = "Ожидаем:"
L["Warning: Some of the sounds may depend on other addons."] = "Предупреждение: Некоторые звуки могут быть зависимы от других аддонов."
L["Watch"] = "Следить"
L["Watch for Call To Arms (Bonus rewards) availability."] = "Следить за доступностью Призыва к оружию (бонусные награды)."
L["You need to have a Data Broker Display to see this Plugin."] = "Вам нужно иметь Data Broker Display чтобы видеть этот аддон."
L["Zandalari"] = "Зандалари"
L["hi"] = "Привет всем!"
L["thanks, bb"] = "Всем спасибо, удачи!"

	return
end

local L = AceLocale:NewLocale("DungeonHelper", "esES")
if L then
	-- disable default party messages until localization is set
	L["hi"] = ""
	L["Thanks, bb"] = ""
	
	return
end

local L = AceLocale:NewLocale("DungeonHelper", "esMX")
if L then
	-- disable default party messages until localization is set
	L["hi"] = ""
	L["Thanks, bb"] = ""
	
	return
end